API referencePayroll
Create Benefit
POST /company/{id}/benefits
POST
/company/{id}/benefitsPath Parameters
id*string
The company ID
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/company/string/benefits" \ -H "Content-Type: application/json" \ -d '{ "nativeId": "string", "name": "string", "description": "string", "type": "medical", "isPreTax": true }'{ "id": "string", "nativeId": "string", "name": "string", "description": "string", "type": "medical", "isPreTax": true, "dataSource": "string"}Schema refreshed 2026-11-11T18:57:48.657Z